Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#12670 closed Bug Report - General (fixed)

SQL error in MythWeb on updated 8.3: Incorrect integer value: for column 'finetune'

Reported by: vabiro@… Owned by: Stuart Auchterlonie
Priority: minor Milestone: 0.28.1
Component: Plugin - MythWeb Version: 0.28.0
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Hi, I was in the MythWeb interface editing the channel numbers, and when I saved it I received the following error:

datetime: 2016-03-01 20:25:59 (EST) errornum: 256

error type: User Error

error string: !NoTrans: SQL Error: Incorrect integer value: for column 'finetune' at row 1 #1366!!

filename: /data/srv/httpd/mythweb/classes/Database/Query/mysql.php

error line: 79

==========================================================================

Backtrace:

file: /data/srv/httpd/mythweb/classes/Database/Query/mysql.php line: 79

class:

function: trigger_error

type: args: Array

(

[0] => SQL Error: Incorrect integer value: for column 'finetune' at row 1 #1366 [1] => 256

)

file: /data/srv/httpd/mythweb/classes/Database.php line: 261

class: Database_Query_mysql

function: execute

type: -> args: Array

(

[0] => Array

(

[0] => Array

(

[0] => 46245 [1] => 20 [2] => [3] => [4] => 32768 [5] => 32768 [6] => 32768 [7] => 32768 [8] => 0 [9] => -1 [10] => 1 [11] => 1 [12] => 5 [13] => CBLT-DT [14] => TORONTO CBLT-DT

)

[1] => 3051

)

)

file: /data/srv/httpd/mythweb/modules/tv/set_channels.php line: 62

class: Database

function: query

type: -> args: Array

(

[0] => UPDATE channel SET xmltvid = ?,

freqid = ?, finetune = ?, videofilters = ?, brightness = ?, contrast = ?, colour = ?, hue = ?, recpriority = ?, commmethod = ?, useonairguide = ?, visible = ?,channum=?,callsign=?,name=? WHERE chanid=?

[1] => Array

(

[0] => 46245 [1] => 20 [2] => [3] => [4] => 32768 [5] => 32768 [6] => 32768 [7] => 32768 [8] => 0 [9] => -1 [10] => 1 [11] => 1 [12] => 5 [13] => CBLT-DT [14] => TORONTO CBLT-DT

)

[2] => 3051

)

file: /data/srv/httpd/mythweb/modules/settings/handler.php line: 54

class:

function: require_once

type: args: Array

(

[0] => /data/srv/httpd/mythweb/modules/tv/set_channels.php

)

file: /data/srv/httpd/mythweb/mythweb.php line: 35

class:

function: require_once

type: args: Array

(

[0] => /data/srv/httpd/mythweb/modules/settings/handler.php

)

==========================================================================

$_POST: Array (

[channel] => Array

(

[3051] => Array

(

[xmltvid] => 46245 [channum] => 5 [callsign] => CBLT-DT [name] => TORONTO CBLT-DT [freqid] => 20 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3071] => Array

(

[xmltvid] => 24052 [channum] => 7 [callsign] => WKBW-HD [name] => WKBW-HD [freqid] => 38 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3072] => Array

(

[xmltvid] => 56328 [channum] => 8 [callsign] => LAFF [name] => LAFF [freqid] => 38 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3073] => Array

(

[xmltvid] => 59301 [channum] => 7_3 [callsign] => ESCAPE [name] => ESCAPE [freqid] => 38 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3009] => Array

(

[xmltvid] => 44784 [channum] => 9 [callsign] => CFTO [name] => CFTO [freqid] => 9 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3111] => Array

(

[xmltvid] => 60123 [channum] => 11 [callsign] => CHCH-DT [name] => CHCH-DT [freqid] => 15 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3191] => Array

(

[xmltvid] => 70583 [channum] => 19 [callsign] => TVO [name] => TVO [freqid] => 19 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3231] => Array

(

[xmltvid] => 43430 [channum] => 23 [callsign] => WNLO-HD [name] => WNLO-HD [freqid] => 32 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3232] => Array

(

[xmltvid] => 43432 [channum] => 23 [callsign] => Bounce [name] => Bounce TV [freqid] => 32 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3251] => Array

(

[xmltvid] => 45864 [channum] => 25 [callsign] => CBLFTDT [name] => ONTARIO CBLFT-DT [freqid] => 25 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3291] => Array

(

[xmltvid] => 42945 [channum] => 29 [callsign] => WUTV-HD [name] => WUTV-HD [freqid] => 14 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3292] => Array

(

[xmltvid] => 42947 [channum] => 30 [callsign] => TCN [name] => TCN [freqid] => 14 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3293] => Array

(

[xmltvid] => 91397 [channum] => 31 [callsign] => Grit TV [name] => Grit TV [freqid] => 14 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3361] => Array

(

[xmltvid] => 60344 [channum] => 36 [callsign] => CITS-HD [name] => CITS-HD [freqid] => 36 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3401] => Array

(

[xmltvid] => 44790 [channum] => 40 [callsign] => CJMT [name] => CJMT [freqid] => 40 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3411] => Array

(

[xmltvid] => 73281 [channum] => 41 [callsign] => CIII-HD [name] => CIII-HD [freqid] => 41 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3412] => Array

(

[xmltvid] => 74704 [channum] => 41 [callsign] => CIII-SD [name] => CIII-SD [freqid] => 41 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [useonairguide] => 1

)

[3471] => Array

(

[xmltvid] => 44788 [channum] => 47 [callsign] => CFMT [name] => CFMT [freqid] => 47 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

[3571] => Array

(

[xmltvid] => 34200 [channum] => 57 [callsign] => CITYTV [name] => CITYTV [freqid] => 44 [finetune] => [videofilters] => [brightness] => 32768 [contrast] => 32768 [colour] => 32768 [hue] => 32768 [recpriority] => 0 [visible] => 1 [useonairguide] => 1

)

)

[save] => Save

)

==========================================================================

$_SESSION: Array (

[cache_engine] => Cache_Null [stream] => Array

(

[include_user_and_password] =>

)

[prefer_channum] => 1 [recorded_pixmaps] => 1 [guide_favonly] => [timeslot_size] => 300 [num_time_slots] => 36 [timeslot_blocks] => 3 [timeslotbar_skip] => 20 [max_stars] => 4 [star_character] => ★ [show_popup_info] => 1 [show_channel_icons] => 1 [sortby_channum] => 1 [recorded_paging] => [genre_colors] => 1 [show_video_covers] => 1 [settings] => Array

(

[screens] => Array

(

[tv] => Array

(

[upcoming recordings] => Array

(

[title] => on [channel] => on [record date] => on [length] => on

)

)

)

[last] => Array

(

[0] => tv [1] => channels

)

[host] => bedroom

)

[backend] => Array

(

[timezone] => Array

(

[value] => Canada/Eastern? [last_check_time] => 1456796623

)

[192.168.123.8] => Array

(

[proto_version] => Array

(

[last_check_version] => 77 [last_check_time] => 1456804098

)

)

)

[language] => English [date_statusbar] => %a %b %e, %Y, %I:%M %p [date_scheduled] => %a %b %e, %Y (%I:%M %p) [date_scheduled_popup] => %a %b %e, %Y [date_recorded] => %a %b %e, %Y (%I:%M %p) [date_search] => %a %b %e, %Y, %I:%M %p [date_listing_key] => %a %b %e, %Y, %I:%M %p [date_listing_jump] => %a %b %e, %Y [date_channel_jump] => %a %b %e, %Y [date_job_status] => %a %b %e, %Y, %I:%M %p [time_format] => %I:%M %p [tv] => Array

(

[last] => Array

(

[0] => lookup_metadata

)

[show_advanced_schedule] => 1

)

[list_time] => 1457319600 [recording_details] => Array

(

[show_Conflict] => 1 [show_PreviousRecording] => 1 [show_EarlierShowing] => 1 [show_CurrentRecording] => 1 [show_WillRecord] => 1

)

)

==========================================================================

$_SERVER: Array (

[TERM] => linux [PATH] => /usr/local/bin:/usr/bin [PWD] => /etc/sv/lighttpd [LANG] => en_CA.UTF-8 [SHLVL] => 0 [PHP_FCGI_CHILDREN] => 1 [ORIG_PATH_TRANSLATED] => /data/srv/httpd/mythwebsettings/tv/channels [ORIG_SCRIPT_FILENAME] => /data/srv/httpd/mythwebmythweb.php/settings/tv/channels [DB_PASSWORD] => mythtv [DB_LOGIN] => mythtv [DB_NAME] => mythconverg [DB_SERVER] => localhost [HTTP_COOKIE] => mythweb_id=j9hvqqm5c4lv0eakdgvfe00031; pagepath=; host=mythtv [HTTP_ACCEPT_LANGUAGE] => en-US,en;q=0.8,en-CA;q=0.6,en-GB;q=0.4 [HTTP_ACCEPT_ENCODING] => gzip, deflate [HTTP_REFERER] => http://192.168.123.8/mythweb/settings/tv/channels [CONTENT_TYPE] => application/x-www-form-urlencoded [HTTP_USER_AGENT] => Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit?/537.36 (KHTML, like Gecko) Chrome/48.0.2564.116 Safari/537.36 [HTTP_UPGRADE_INSECURE_REQUESTS] => 1 [HTTP_ORIGIN] => http://192.168.123.8 [HTTP_ACCEPT] => text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8 [HTTP_CACHE_CONTROL] => max-age=0 [HTTP_CONTENT_LENGTH] => 9560 [HTTP_CONNECTION] => keep-alive [HTTP_HOST] => 192.168.123.8 [SERVER_PROTOCOL] => HTTP/1.1 [REDIRECT_STATUS] => 200 [REQUEST_METHOD] => POST [QUERY_STRING] => [REDIRECT_URI] => /mythweb/mythweb.php/settings/tv/channels [REQUEST_URI] => /settings/tv/channels [DOCUMENT_ROOT] => /data/srv/httpd/mythweb [SCRIPT_FILENAME] => /data/srv/httpd/mythwebmythweb.php [PATH_TRANSLATED] => /data/srv/httpd/mythweb/settings/tv/channels [PATH_INFO] => /settings/tv/channels [SCRIPT_NAME] => /mythweb/mythweb.php [CONTENT_LENGTH] => 9560 [REMOTE_ADDR] => 192.168.123.247 [REMOTE_PORT] => 57500 [SERVER_ADDR] => 192.168.123.8 [SERVER_PORT] => 80 [GATEWAY_INTERFACE] => CGI/1.1 [SERVER_NAME] => 192.168.123.8 [SERVER_SOFTWARE] => lighttpd/1.4.37 [FCGI_ROLE] => RESPONDER [PHP_SELF] => /mythweb/mythweb.php/settings/tv/channels [REQUEST_TIME_FLOAT] => 1456881959.8542 [REQUEST_TIME] => 1456881959 [STATUS] => 200 [URI] => /mythweb/mythweb.php/settings/tv/channels [HTTP_PORT] => 80

)

==========================================================================

$constant_listuser?: Array (

[ERROR] => 512 [E_ASSERT_ERROR] => 4096 [FATAL] => 256 [PHP_MIN_VERSION] => 5.3 [WARNING] => 1024 [WebDBSchemaVer] => 4 [error_email] => [form_action] => http://192.168.123.8/mythweb/settings/tv/channels [gb] => 1073741824 [hostname] => mythtv [http_host] => 192.168.123.8 [kb] => 1024 [max_stars] => 4 [mb] => 1048576 [module] => settings [modules_path] => /data/srv/httpd/mythweb/modules [num_time_slots] => 36 [prefer_channum] => 1 [root] => /mythweb/ [root_auth_url] => http://192.168.123.8/mythweb/ [root_url] => http://192.168.123.8/mythweb/ [skin] => default [skin_img_url] => http://192.168.123.8/mythweb/skins/default/img/ [skin_url] => http://192.168.123.8/mythweb/skins/default/ [star_character] => ★ [stream_url] => http://192.168.123.8:80//mythweb/ [tb] => 1099511627776 [timeslot_blocks] => 3 [timeslot_size] => 300 [timeslotbar_skip] => 20 [tmpl] => default [tmpl_dir] => modules/settings/tmpl/default/

)

Change History (6)

comment:1 Changed 4 years ago by stuartm

Component: MythTV - Web FrontendPlugin - MythWeb
Owner: changed from stuartm to Rob Smith

Mythweb (old) !== Web Frontend (new)

comment:2 Changed 4 years ago by Karl Egly

Summary: SQL error in MythWeb on updated 8.3SQL error in MythWeb on updated 8.3: Incorrect integer value: for column 'finetune'

comment:3 Changed 4 years ago by charles.bovy@…

quick patch:

--- a/modules/tv/set_channels.php 2016-04-18 15:45:13.148000000 +0200
+++ b/modules/tv/set_channels.php       2016-04-21 13:57:49.908000000 +0200
@@ -33,7 +33,7 @@
                                              visible       = ?';
                 $query_params[] = $data['xmltvid'];
                 $query_params[] = $data['freqid'];
-                $query_params[] = $data['finetune'];
+                $query_params[] = empty($data['finetune'])      ? 0 : $data['finetune'];
                 $query_params[] = $data['videofilters'];
                 $query_params[] = $data['brightness'];
                 $query_params[] = $data['contrast'];

comment:4 Changed 4 years ago by Stuart Auchterlonie

Milestone: unknown0.28.1
Owner: changed from Rob Smith to Stuart Auchterlonie
Status: newassigned
Version: Unspecified0.28.0

comment:5 Changed 4 years ago by Charles Bovy <charles.bovy@…>

Resolution: fixed
Status: assignedclosed

In 791b17285de13d94169ffd9c09103a71c684b216/mythweb:

Fixes #12670. Ensure fine tune is set and not empty

Signed-off-by: Stuart Auchterlonie <stuarta@…>

comment:6 Changed 4 years ago by Charles Bovy <charles.bovy@…>

In cbca6cf230d2c4e2a68a3f63c0b482ec4a2e41cb/mythweb:

Fixes #12670. Ensure fine tune is set and not empty

Signed-off-by: Stuart Auchterlonie <stuarta@…>
(cherry picked from commit 791b17285de13d94169ffd9c09103a71c684b216)

Note: See TracTickets for help on using tickets.